## com.sun.grizzly
Interface ControllerStateListener

All Known Implementing Classes:
  ControllerStateListenerAdapter

    public interface ControllerStateListener

Controller state listener interface.

Author:
  Alexey Stashok

Method Summary
`void` `onException(Throwable e)` Notification: Exception occured during Controller thread execution
`void` `onReady()` Notification: Controller is ready to process connections; `SelectorHandler`s were initialized
`void` `onStarted()` Nofitication: Controller was started, pipelines were initialized
`void` `onStopped()` Notification: Controller was stopped, all worker threads were stopped

Method Detail

### onStarted

    void onStarted()

  Nofitication: Controller was started, pipelines were initialized

### onReady

    void onReady()

  Notification: Controller is ready to process connections; `SelectorHandler`s were initialized

### onStopped

    void onStopped()

  Notification: Controller was stopped, all worker threads were stopped

### onException

    void onException(Throwable e)

  Notification: Exception occured during Controller thread execution

Copyright © 2008 SUN Microsystems. All Rights Reserved.